Name:		lockrun
Summary:	Ensures that another instance of the same command is not already running
Version:	1.1.3
Release:	%mkrel 5
Group:		Development/C
License:	Public Domain
Url:		http://www.unixwiz.net/tools/lockrun.html
Source0:	lockrun-%{version}.tar.xz

%description
Lockrun serves as a protective wrapper around a given command, ensuring
that another instance of the same command is not already running.
It is especially useful for cron jobs which may occasionally overrun
the time slot.

%prep
%setup -q

%build
gcc %{optflags} lockrun.c %{ldflags} -o lockrun

%install
install -d %{buildroot}%{_bindir}
install -D %{name} %{buildroot}%{_bindir}

%files
%doc README LICENSE
%{_bindir}/%{name}


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.1.3-5.mga9
+ Revision: 1792092
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.1.3-4.mga8
+ Revision: 1514857
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.1.3-3.mga7
+ Revision: 1299339
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 cjw <cjw> 1.1.3-2.mga7
+ Revision: 1154219
- use optflags and ldflags in build

* Sat Dec 19 2015 barjac <barjac> 1.1.3-1.mga6
+ Revision: 911803
- new version numbering to match source

* Wed Oct 15 2014 umeabot <umeabot> 0.4-3.mga5
+ Revision: 741282
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-2.mga5
+ Revision: 681978
- Mageia 5 Mass Rebuild

* Fri May 02 2014 barjac <barjac> 0.4-1.mga5
+ Revision: 619517
- imported package lockrun

